org.apache.solr.client.solrj.io.comp

## Interface ExpressibleComparator

All Known Implementing Classes:
  FieldComparator, MultiComp

    public interface ExpressibleComparator

Defines a comparator that can be expressed in an expression

### Method Summary

Methods
`StreamExpressionParameter` `toExpression(StreamFactory factory)`

### Method Detail

#### toExpression

    StreamExpressionParameter toExpression(StreamFactory factory)
                                           throws IOException

Throws:
  `IOException`